Update organization LLM provider
curl --request PATCH \
--url https://api.openworklabs.com/v1/llm-providers/{llmProviderId} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"providerId": "<string>",
"modelIds": [
"<string>"
],
"customConfigText": "<string>",
"apiKey": "<string>",
"memberIds": [
"<string>"
],
"teamIds": [
"<string>"
]
}
'import requests
url = "https://api.openworklabs.com/v1/llm-providers/{llmProviderId}"
payload = {
"name": "<string>",
"providerId": "<string>",
"modelIds": ["<string>"],
"customConfigText": "<string>",
"apiKey": "<string>",
"memberIds": ["<string>"],
"teamIds": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
providerId: '<string>',
modelIds: ['<string>'],
customConfigText: '<string>',
apiKey: '<string>',
memberIds: ['<string>'],
teamIds: ['<string>']
})
};
fetch('https://api.openworklabs.com/v1/llm-providers/{llmProviderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"llmProvider": {}
}{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"error": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}LLM Providers
Update organization LLM provider
Updates an existing organization LLM provider, including its provider config, selected models, secret, and access grants.
PATCH
/
v1
/
llm-providers
/
{llmProviderId}
Update organization LLM provider
Path Parameters
Den TypeID with 'lpr_' prefix and a 26-character base32 suffix.
Required string length:
30Pattern:
^lpr_.*Body
application/json
Required string length:
1 - 255Available options:
models_dev, custom Required string length:
1 - 255Minimum array length:
1Required string length:
1 - 255Minimum string length:
1Maximum string length:
65535Maximum array length:
500Den TypeID with 'om_' prefix and a 26-character base32 suffix.
Required string length:
29Pattern:
^om_.*Maximum array length:
500Den TypeID with 'tem_' prefix and a 26-character base32 suffix.
Required string length:
30Pattern:
^tem_.*Response
Organization LLM provider updated successfully.
Show child attributes
Show child attributes
Was this page helpful?
⌘I